:root {
    --rem: 1.14286vw;
    /* 16px - base 1400px */
    --breads-fs: .875em;
    /* ~14px */
    --breads-mt: 1.875em;
    /* ~30px */
    --gap-grid: 1.5em;
    /* ~24px */
    --h1: 3.5em;
    /* ~56px */
    --card-br-top: 1.25em;
    /* ~20px */
    --card-br-bottom: 3.125em;
    /* ~50px */
    --card-img-space: .625em;
    /* ~10px */
    --card-img-br: .938em;
    /* ~15px */

    --container-w: calc(100vw - 8.57vw * 2);
}

@media (max-width: 850px) {
    :root {
        --rem: 2.5vw;
        /* 16px - base 640px */
        --h1: 3em;
        /* ~48px */
    }
}

@media (max-width: 500px) {
    :root {
        --rem: 5vw;
        /* 16px - base 320px */
        --h1: 2em;
        /* ~32px */
    }
}

/* Общие */
body {
    background-color: #F5F5F5;
}

main {
    margin-bottom: 4em;
}
main :is(*, a, span, button, h1, h2,h3,h4,h5,h6, p, ul, li, i, div, nav) {
	font-weight: 400!important;
}
.archive-portfolio {
    font-size: var(--rem);
}
.archive-portfolio * {
    box-sizing: border-box;
    line-height: 1.3;
}

.archive-portfolio img {
    max-width: 100%;
}

.archive-portfolio .title-area {
    margin-bottom: 2.5em;
}

.archive-portfolio .title-area h1 {
    font-size: var(--h1);
}

footer.footer {
    background-color: #ffffff;
}

/* Крошки */
.archive-portfolio .portfolio_breads {
    margin: var(--breads-mt) 0;
}

.archive-portfolio .portfolio_breads ul {
    display: inline-flex;
    gap: .625em;
    list-style: none;
}

.archive-portfolio .portfolio_breads ul li {
    color: #b0b3b9;
    display: flex;
}

.archive-portfolio .portfolio_breads ul li:not(:first-of-type)::before {
    content: "";
    margin-right: .625em;
    flex-shrink: 0;
    align-self: center;
    display: inline-block;
    width: 2px;
    height: 2px;
    border-radius: 50%;
    background: #b0b3b9;
}

.archive-portfolio .portfolio_breads ul li a,
.archive-portfolio .portfolio_breads ul li span {
    font-size: var(--breads-fs);
}
@media (max-width: 500px) {
    .archive-portfolio .title-area {
    	margin-bottom: 30px;
	}
}
/* Сетка */
.portfolio_items {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: var(--gap-grid);
    margin-top: 30px;
}

@media (max-width: 850px) {
    .portfolio_items {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 500px) {
	.archive-portfolio .portfolio_breads {
		margin: calc(var(--breads-mt) / 2) 0;
	}
    .portfolio_items {
        grid-template-columns: 1fr;
		margin-top: 2em;
    }
}

/* Карточки */
.portfolio-card {
    background-color: #ffffff;
    border-radius: var(--card-br-top) var(--card-br-top) var(--card-br-bottom) var(--card-br-bottom);
    display: grid;
    grid-template-columns: 1fr;
    gap: 1.125em;
    padding-bottom: 1.625em;
}

.portfolio-card header {
    display: grid;
    grid-template-columns: 1fr;
    border-radius: var(--card-img-br);
    overflow: hidden;
    position: relative;
    z-index: 1;
    margin: var(--card-img-space) var(--card-img-space) 0 var(--card-img-space);
    aspect-ratio: 760 / 508;
    pointer-events: none;
}

.portfolio-card header::before {
    content: '';
    background-color: #ffffff;
    width: .25em;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: calc(50% - .25em / 2);
    z-index: 1;
}

.portfolio-card header .img-wrapper {
    overflow: hidden;
    position: relative;
	grid-area: 1 / 1 / 1 / 2;
}

.portfolio-card header .img-wrapper::before {
    content: attr(data-content);
    display: flex;
    align-items: center;
    justify-content: center;
    border: .125em solid;
    border-radius: 5em;
    position: absolute;
    bottom: var(--card-img-space);
    z-index: 2;
    font-size: .75em;
    padding: .25em 0;
    width: 5.75em;
}

.portfolio-card header .img-wrapper.img-before::before {
    left: var(--card-img-space);
    background-color: #FFE2E1;
    color: #9F0712;
    border-color: #FFC9C9;
}

.portfolio-card header .img-wrapper.img-after::before {
    right: var(--card-img-space);
    background-color: #DAFDE7;
    color: #075D30;
    border-color: #C7F2D7;
}
.portfolio-card header .img-wrapper.img-after {
	clip-path: inset(0px 0px 0px 50%);
}

.portfolio-card header .img-wrapper img {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    -o-object-fit: cover;
    object-fit: cover;
    -o-object-position: center;
    object-position: center;
}

.portfolio-card .body,
.portfolio-card footer {
    margin: 0 1.625em;
    display: grid;
    grid-template-columns: 1fr;
}

.portfolio-card .body {
    gap: .625em;
}

.portfolio-card .body h3,
.portfolio-card .body p {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    white-space: normal;
    text-overflow: ellipsis;
    word-break: break-word;
    -webkit-line-clamp: var(--txt-lines);
    overflow: hidden;
}

.portfolio-card .body h3 {
    --txt-lines: 1;
    font-size: 1.25em;
    color: #333333;
}

.portfolio-card .body p {
    --txt-lines: 2;
    font-size: .875em;
    color: #8C8C8C;
}

.portfolio-card footer {
    gap: inherit;
}

.portfolio-card footer .doctor {
    --avatar: 2.875em;
    display: grid;
    grid-template-columns: var(--avatar) 1fr;
    gap: .75em;
    align-items: center;
    background-color: #FAFAFA;
    border-radius: 10em;
    padding: .563em 2em .563em .563em;
    position: relative;
}

.portfolio-card footer .doctor .img-wrapper {
    display: block;
    border-radius: 100%;
    position: relative;
    width: var(--avatar);
    height: var(--avatar);
    overflow: hidden;
}

.portfolio-card footer .doctor .img-wrapper img {
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    -o-object-fit: cover;
    object-fit: cover;
    -o-object-position: center;
    object-position: center;
}

.portfolio-card footer .doctor p {
    font-size: .875em;
    color: #333333;
}

.portfolio-card footer .post-link {
    --icon-size: 2.5em;
    height: 4em;
}

.portfolio-card footer .post-link a {
    position: relative;
    width: 100%;
    height: 100%;
    display: grid;
    grid-template-columns: 1fr var(--icon-size);
    gap: .75em;
    justify-content: space-between;
    align-items: center;
    align-content: center;
    background-color: #8EA64D;
	border: 1px solid;
	border-color: #8EA64D;
    color: #ffffff;
    border-radius: 10em;
    padding: .75em .75em .75em 2em;
	transition: all.3s ease;
	z-index: 1;
	overflow: hidden;
}

.portfolio-card footer .post-link a .text {
    font-size: 1.125em;
	transition: all.3s ease;
	z-index: 5;
}

.portfolio-card footer .post-link a .icon {
    width: 100%;
    height: var(--icon-size);
    background-color: #ffffff;
    color: #8EA64D;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 100%;
    border: .063em solid #ffffff;
	transition: all.3s ease;
	z-index: 5;
}
.portfolio-card footer .post-link a::before {
	content: '';
	position: absolute;
	background: #fff;
	width: 100%;
	height: 100%;
	left: 0;
	bottom: 0;
	border-radius: inherit;
	opacity: 0;
	transform: translateY(100%);
	transition: all.3s ease;
}
.portfolio-card footer .post-link a:hover {
	color: #8EA64D;
	border-color: #8EA64D;
}
.portfolio-card footer .post-link a:hover::before {
	transform: translateY(0%);
	opacity: 1;
}

.portfolio-card footer .post-link a .icon svg {
    width: 1em;
    height: auto;
}

@media (max-width: 850px) {
    .portfolio-card {
        padding-bottom: 1em;
    }

    .portfolio-card .body,
    .portfolio-card footer {
        margin: 0 1em;
    }

    .portfolio-card .body h3 {
        font-size: 1.125em;
    }

    .portfolio-card .body p,
    .portfolio-card footer .doctor p {
        font-size: .75em;
    }
}

/* Пейджер */
.portfolio_pager {
    display: flex;
    align-items: center;
    gap: 1.5em;
    margin-top: 2.5em;
    --size: 2.5em;
}

.portfolio_pager>a {
    position: relative;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    width: var(--size);
    height: var(--size);
    z-index: 1;
    border-radius: 100%;
}

.portfolio_pager>a[aria-disabled="true"] {
    opacity: .5;
    pointer-events: none;
}

.portfolio_pager>a i {
    display: flex;
    align-items: center;
    justify-content: center;
    border: .063em solid rgba(140, 140, 140, 0.5);
    background-color: transparent;
    border-radius: 100%;
    width: 100%;
    height: 100%;
}

.portfolio_pager>a i svg {
    width: 1em;
    height: auto;
}

.portfolio_pager .counters-wrapper {
    display: flex;
    align-items: center;
    gap: .75em;
}

.portfolio_pager .counters-wrapper>a,
.portfolio_pager .counters-wrapper>.total {
    width: var(--size);
    height: var(--size);
    background-color: transparent;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    color: #333333;
    border-radius: .313em;
    overflow: hidden;
}

.portfolio_pager .counters-wrapper>a[aria-current="page"] {
    background-color: rgba(140, 140, 140, 0.1);
    pointer-events: none;
}

.portfolio_pager .counters-wrapper>.total {
    color: rgba(193, 193, 193, 1);
}

.portfolio_pager .counters-wrapper>a span,
.portfolio_pager .counters-wrapper>.total span {
    font-size: .875em;
}

@media (max-width: 850px) {
    .portfolio_pager {
        justify-content: center;
    }
}

@media (max-width: 500px) {
    .portfolio_pager {
        --size: 2em;
        gap: .75em;
        justify-content: space-between;
    }

    .portfolio_pager .counters-wrapper {
        gap: .325em;
    }
}

/* Поиск */
.search_portfolio_block {
    position: relative;
    width: 100%;
    height: 3.5em;
    z-index: 1;
    --icon-serch-size: 3.5em;
}

.search_portfolio_block input {
    width: 100%;
    height: 100%;
    font-size: 1em;
    background-color: #ffffff;
    display: flex;
    border: none;
    outline: none !important;
    border-radius: .625em;
    padding: .75em 1em;
    color: #333333;
}

.icons-wrapper {
    position: absolute;
    width: 1em;
    height: var(--icon-serch-size);
    background-color: transparent;
    right: 0;
    top: 0;
    z-index: 2;
	padding: 0 1em
}

.icons-wrapper button {
    width: 100%;
    height: 100%;
    background-color: transparent;
    border: none;
    outline: none;
    display: flex;
    align-items: center;
    justify-content: center;
}

.icons-wrapper button span {
    display: flex;
}

.icons-wrapper button svg {
    width: 16px;
    height: 16px;
	color: #333333;
}

.icons-wrapper button .cross {
    display: none;
}

.icons-wrapper button.active .search {
    display: none;
}

.icons-wrapper button.active .cross {
    display: block;
}

/* Для страницы записи */
.single-post-content {
    border-radius: var(--card-br-top) var(--card-br-top) var(--card-br-bottom) var(--card-br-top);
    padding: 1.5em;
    background-color: #ffffff;
    display: grid;
    grid-template-columns: 8fr 4fr;
    gap: 2.25em;
    margin-bottom: 4.625em;
}

.single-post-content .result-wrapper {
    overflow: hidden;
    border-radius: 1em;
    background-color: #333333;
    height: auto;
    width: 100%;
    min-height: 100%;
    position: relative;
    display: flex;
    align-items: center;
}

.single-post-content .result-wrapper .ratio {
    width: 100%;
    padding-top: calc(100% / 760 * 508);
}

.single-post-content .result-wrapper .js-results {
    position: absolute;
    inset: 0;
}

.single-post-content .result-wrapper .js-results::before,
.single-post-content .result-wrapper .js-results::after {
    display: flex;
    align-items: center;
    justify-content: center;
    border: .125em solid;
    border-radius: 5em;
    position: absolute;
    bottom: 1.5em;
    z-index: 2;
    font-size: .75em;
    padding: .25em 0;
    width: 5.75em;
    transition: all .3s ease;
}

.single-post-content .result-wrapper .js-results::before {
    content: attr(data-content-before);
    left: 1.5em;
    background-color: #FFE2E1;
    color: #9F0712;
    border-color: #FFC9C9;
	transform: translateY(var(--before-ty));
}

.single-post-content .result-wrapper .js-results::after {
    content: attr(data-content-after);
    right: 1.5em;
    background-color: #DAFDE7;
    color: #075D30;
    border-color: #C7F2D7;
	transform: translateY(var(--after-ty));
}

.single-post-content .result-wrapper .js-results .img-wrapper {
    position: absolute;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.single-post-content .result-wrapper .js-results .img-wrapper.img-after {
    -webkit-clip-path: inset(0px 0px 0px 50%);
    clip-path: inset(0px 0px 0px 50%);
}

.single-post-content .result-wrapper .js-results .img-wrapper img {
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
}

.single-post-content .result-wrapper .js-results .line {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    width: .25em;
    height: 100%;
    background-color: #ffffff;
}

.single-post-content .result-wrapper .js-results input {
    -moz-appearance: none;
    appearance: none;
    -webkit-appearance: none;
    background-color: transparent;
    position: absolute;
    width: calc(100% + 2.25em);
    height: 100%;
    left: -1.125em;
}
.single-post-content .result-wrapper .js-results input[type=range] {
  -webkit-appearance: none;
  appearance: none;
  background: transparent; 
}
.single-post-content .result-wrapper .js-results input::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    height: 3em;
    width: 3em;
    background-image: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNDgiIGhlaWdodD0iNDgiIHZpZXdCb3g9IjAgMCA0OCA0OCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZD0iTTIzLjk5ODEgMEM0Ny45OTggMCA0Ny45OTggMCA0Ny45OTggMjRDNDcuOTk4IDQ4IDQ3Ljk5OCA0OCAyMy45OTgxIDQ4Qy0wLjAwMTkzNTk2IDQ4IC0wLjAwMTkzNzE1IDQ4IC0wLjAwMTkzNTI1IDI0Qy0wLjAwMzE4MjQxIC0xLjkwNzM1ZS0wNiAwLjAwMzIwMDUzIDAgMjMuOTk4MSAwWiIgZmlsbD0id2hpdGUiLz4KPHBhdGggZD0iTTE1IDI0LjQ2NDFMMjEgMjBMMjEgMjguOTI4MkwxNSAyNC40NjQxWiIgZmlsbD0iIzhFQTY0RCIvPgo8cGF0aCBkPSJNMzMgMjQuNDY0NkwyNyAyOC45Mjg3TDI3IDIwLjAwMDVMMzMgMjQuNDY0NloiIGZpbGw9IiM4RUE2NEQiLz4KPC9zdmc+Cg==);
    background-size: contain;
    cursor: -webkit-grab;
    cursor: grab;
	border-radius: .325em

}

.single-post-content .result-wrapper .js-results input::-moz-range-thumb {
    height: 3em;
    width: 3em;
    background-image: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNDgiIGhlaWdodD0iNDgiIHZpZXdCb3g9IjAgMCA0OCA0OCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZD0iTTIzLjk5ODEgMEM0Ny45OTggMCA0Ny45OTggMCA0Ny45OTggMjRDNDcuOTk4IDQ4IDQ3Ljk5OCA0OCAyMy45OTgxIDQ4Qy0wLjAwMTkzNTk2IDQ4IC0wLjAwMTkzNzE1IDQ4IC0wLjAwMTkzNTI1IDI0Qy0wLjAwMzE4MjQxIC0xLjkwNzM1ZS0wNiAwLjAwMzIwMDUzIDAgMjMuOTk4MSAwWiIgZmlsbD0id2hpdGUiLz4KPHBhdGggZD0iTTE1IDI0LjQ2NDFMMjEgMjBMMjEgMjguOTI4MkwxNSAyNC40NjQxWiIgZmlsbD0iIzhFQTY0RCIvPgo8cGF0aCBkPSJNMzMgMjQuNDY0NkwyNyAyOC45Mjg3TDI3IDIwLjAwMDVMMzMgMjQuNDY0NloiIGZpbGw9IiM4RUE2NEQiLz4KPC9zdmc+Cg==);
    background-size: contain;
    cursor: grab;
	-webkit-appearance: none;
	  appearance: none;
}

.single-post-content .result-wrapper .js-results input:active::-webkit-slider-thumb {
    cursor: -webkit-grabbing;
    cursor: grabbing;
}

.single-post-content .result-wrapper .js-results input:active::-moz-slider-thumb {
    cursor: grabbing;
}

.single-post-content .post-content {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 1.5em;
}

.single-post-content .post-content .content-item {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1.5em;
}

.single-post-content .post-content .content-item h1 {
    font-size: 1.75em;
    color: #333333;
}

.single-post-content .post-content .content-item p {
    font-size: 1em;
    color: #8C8C8C;
}

.single-post-content .post-content .content-item .video-button {
    --icon-size: 1em;
    position: relative;
    width: 100%;
    height: 100%;
    display: grid;
    grid-template-columns: var(--icon-size) auto;
    gap: .75em;
    justify-content: center;
    align-items: center;
    align-content: center;
    background-color: #8EA64D;
    color: #ffffff;
    border-radius: 10em;
    padding: .75em;
    border: none;
    outline: none;
	min-height: 4em;
	font-weight: 400!important;
}

.single-post-content .post-content .content-item .video-button .text {
    font-size: 1.125em;
    position: relative;
    z-index: 5;
	font-weight: 400!important;
}

.single-post-content .post-content .content-item .video-button .icon {
    display: flex;
    justify-content: center;
    align-items: center;
    width: var(--icon-size);
    height: var(--icon-size);
    position: relative;
    z-index: 5;
}

.single-post-content .post-content .content-item .video-button .icon svg {
    width: 100%;
    height: auto;
}

.single-post-content .post-content .content-doctor {
    --avatar: 2.875em;
    --icon: 2.5em;
    background-color: #FAFAFA;
    border-radius: 10em;
    display: grid;
    grid-template-columns: var(--avatar) 1fr var(--icon);
    gap: .75em;
    align-items: center;
    padding: .563em;
    position: relative;
    overflow: hidden;
}

.single-post-content .post-content .content-doctor .img-wrapper {
    display: block;
    border-radius: 100%;
    position: relative;
    width: var(--avatar);
    height: var(--avatar);
    overflow: hidden;
    background-color: #333333;
    position: relative;
    z-index: 1;
}

.single-post-content .post-content .content-doctor .img-wrapper img {
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    -o-object-fit: cover;
    object-fit: cover;
    -o-object-position: center;
    object-position: center;
    position: relative;
    z-index: 1;
}

.single-post-content .post-content .content-doctor .icon-wrapper {
    position: relative;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    width: var(--icon);
    height: var(--icon);
    z-index: 1;
    border-radius: 100%;
}

.single-post-content .post-content .content-doctor .icon-wrapper>i {
    display: flex;
    align-items: center;
    justify-content: center;
    border: .063em solid rgba(140, 140, 140, 0.5);
    background-color: transparent;
    border-radius: 100%;
    width: 100%;
    height: 100%;
    color: #8C8C8C;
}

.single-post-content .post-content .content-doctor .icon-wrapper>i>svg {
    width: 1em;
    height: auto;
}
.single-post-content .post-content .content-doctor .doctor-name {
	font-size: .875em;
}

@media (max-width: 850px) {
    .single-post-content {
        grid-template-columns: 1fr;
        gap: 1.5em;
        padding: .625em;
        border-radius: var(--card-br-top) var(--card-br-top) 2.5em 2.5em;
        margin-bottom: 3.75em;
    }

    .single-post-content .result-wrapper .js-results::before,
    .single-post-content .result-wrapper .js-results::after {
        bottom: .625em;
    }

    .single-post-content .result-wrapper .js-results::before {
        left: .625em;
    }

    .single-post-content .result-wrapper .js-results::after {
        right: .625em;
    }

    .single-post-content .result-wrapper .js-results:hover:hover::before,
    .single-post-content .result-wrapper .js-results:hover:hover::after {
        bottom: .625em;
    }
}

@media (max-width: 500px) {
    .single-post-content .result-wrapper .js-results input::-webkit-slider-thumb {
        height: 2em;
        width: 2em;
    }

    .single-post-content .result-wrapper .js-results input::-moz-range-thumb {
        height: 2em;
        width: 2em;
    }

    .single-post-content .post-content .content-item h1 {
        font-size: 1.375em;
    }

    .single-post-content .post-content .content-item p {
        font-size: .75em;
    }
	.single-post-content .post-content .content-doctor .doctor-name {
		font-size: .75em;
	}
}

/* Вывод постов на странице записи */
.more-works .title-wrapper {
    margin-bottom: 2.5em;
    display: grid;
    grid-template-columns: 1fr auto;
    gap: 1em;
    --btn-size: 2.5em;
}

.more-works .title-wrapper h2 {
    font-size: 3em;
    color: #333333;
}

.more-works .title-wrapper .slider-nav {
    display: grid;
    grid-template-columns: var(--btn-size) var(--btn-size);
    gap: .625em;
}

.more-works .title-wrapper .slider-nav button {
    border: none;
    outline: none;
    display: flex;
    width: var(--btn-size);
    height: var(--btn-size);
    color: #8C8C8C80;
    overflow: hidden;
    border-radius: 100%;
    background-color: transparent;
}

.more-works .title-wrapper .slider-nav button[aria-disabled="true"] {
    opacity: .5;
    pointer-events: none;
}

.more-works .title-wrapper .slider-nav button span {
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    border-radius: 100%;
    border: .063em solid currentColor;
}

.more-works .view-all {
    margin-left: auto;
    margin-right: auto;
    margin-top: 2.5em;
    display: flex;
    align-items: center;
    justify-content: center;
}

.more-works .view-all a {
    border: .063em solid #8EA64D;
    color: #8EA64D;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: .5em;
    border-radius: 10em;
    padding: .75em 1.5em;
}

.more-works .view-all a .text {
    font-size: .875em;
}

.more-works .view-all a .icon {
    width: .875em;
    height: .875em;
    display: flex;
    align-items: center;
    justify-content: center;
}

.more-works .view-all a .icon svg {
    width: 100%;
    height: auto;
}

@media (max-width: 850px) {
    .more-works .title-wrapper h2 {
        font-size: 2em;
    }
}

/* Окно с видео */
.video-modal {
    display: none;
    width: 100vw;
    height: 100vh;
    z-index: 10000;
    position: fixed;
    left: 0;
    top: 0;
    background-color: rgb(142, 166, 77, 0.7);
    -webkit-backdrop-filter: blur(.25em);
    backdrop-filter: blur(.25em);
    cursor: pointer;
}
.video-modal .wrap {
    position: relative;
    z-index: 1;
    cursor: auto;
}
.video-modal [data-close="video-modal"] {
    border-radius: 100%;
    position: absolute;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 7vh;
    height: 7vh;
    right: 3vh;
    top: 3vh;
    z-index: 5;
    border: none;
    outline: none;
    background-color: rgba(142, 166, 77, 0.2);
    transition: background-color .4s ease, color .4s ease;
    cursor: pointer;
    max-width: 2.5em;
    max-height: 2.5em;
    color: var(--green-color);
}
.video-modal [data-close="video-modal"]:hover {
    background-color: var(--green-color);
}
.video-modal [data-close="video-modal"]::before,
.video-modal [data-close="video-modal"]::after {
    content: "";
    position: absolute;
    flex-shrink: 0;
    width: 3vh;
    height: .325vh;
    max-width: 1.15em;
    max-height: .065em;
    background: currentColor;
    transition: background-color .4s ease, color .4s ease;
}
.video-modal [data-close="video-modal"]::before {
    transform: rotateZ(45deg);
}
.video-modal [data-close="video-modal"]::after {
    transform: rotateZ(-45deg);
}
.video-modal [data-close="video-modal"]:hover::after,
.video-modal [data-close="video-modal"]:hover::before {
    color: #ffffff;
}
.video-modal .modal-content {
    width: 100vw;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 0;
}
.video-modal .player-wrapper {
    aspect-ratio: var(--ratio);
    width: auto;
    height: 70vh;
}
.video-modal .player-wrapper>* {
    position: absolute;
    aspect-ratio: var(--ratio);
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    z-index: 1;
    display: flex;
    -o-object-fit: cover;
    object-fit: cover;
    border-radius: 3vh;
}
@media (max-width: 850px) {
    .video-modal [data-close="video-modal"] {
        right: .625em;
        top: .625em;
        width: 2em;
        height: 2em;
    }
    .video-modal [data-close="video-modal"]::before,
    .video-modal [data-close="video-modal"]::after {
        width: 1em;
        height: .063em;
    }
    .video-modal .player-wrapper {
        width: 94vw;
        height: auto;
    }
    .video-modal .player-wrapper>* {
        border-radius: 1em;
    }
}
.ovh {
    overflow: hidden;
}
* {
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}